<?php
/**
 * This file is part of a FireGento e.V. module.
 *
 * This FireGento e.V. module is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This script is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * PHP version 5
 *
 * @category  FireGento
 * @package   FireGento_MageMonitoring
 * @author    FireGento Team <team@firegento.com>
 * @copyright 2015 FireGento Team (http://www.firegento.com)
 * @license   http://opensource.org/licenses/gpl-3.0 GNU General Public License, version 3 (GPLv3)
 */

/**
 * class FireGento_MageMonitoring_Model_Widget_CacheStat
 *
 * @category FireGento
 * @package  FireGento_MageMonitoring
 * @author   FireGento Team <team@firegento.com>
 */
interface FireGento_MageMonitoring_Model_Widget_CacheStat extends FireGento_MageMonitoring_Model_Widget
{
    /**
     * Returns maximum cache size in bytes or false if not implemented.
     *
     * @return int
     */
    public function getMemoryMax();
    /**
     * Returns used cache size in bytes or false if not implemented.
     *
     * @return int
     */
    public function getMemoryUsed();
    /**
     * Returns cache hit count or false if not implemented.
     *
     * @return int
     */
    public function getCacheHits();
    /**
     * Returns cache miss count or false if not implemented.
     *
     * @return int
     */
    public function getCacheMisses();
    /**
     * Whooosh!
     *
     * @return bool
     */
    public function flushCache();
}
